[Unit]
Description=Rappli
After=network.target
Wants=network-online.target

[Service]
Restart=always
Type=simple
ExecStart=/home/ubuntu/.nvm/nvm-exec npm start
# TODO: Add a script which installs this service and sets the WorkingDirectory and Domain automatically
WorkingDirectory=/home/ubuntu/apps/rappli/ 
Environment='DOMAIN=rappli.ch' 'NODE_VERSION=18'
User=ubuntu

[Install]
WantedBy=multi-user.target